# GIOP_Utils.h File Reference

`#include "tao/Object.h"`
`#include "tao/IOP_IORC.h"`

Include dependency graph for GIOP_Utils.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_GIOP_Locate_Status_Msg
| Hold the relevant information for every type of Locate mesg. More...
class | TAO_GIOP_ReplyHeader
| This class embodies the header of a GIOP reply. @Not used. Could be used in future. More...
class | TAO_GIOP_Utils
| Utility class that has some commonly used methods for both GIOP Base & GIOP lite. More...

## Typedefs

typedef enum GIOP_Messages | TAO_GIOP_Message_Type
typedef enum GIOP_LocateStatusType | TAO_GIOP_Locate_Status_Type
typedef enum GIOP_ReplyStatusType | TAO_GIOP_Reply_Status_Type

## Enumerations

enum | GIOP_Messages { TAO_GIOP_REQUEST = 0, TAO_GIOP_REPLY = 1, TAO_GIOP_CANCELREQUEST = 2, TAO_GIOP_LOCATEREQUEST = 3, TAO_GIOP_LOCATEREPLY = 4, TAO_GIOP_CLOSECONNECTION = 5, TAO_GIOP_MESSAGERROR = 6, TAO_GIOP_FRAGMENT = 7 }
enum | GIOP_LocateStatusType { TAO_GIOP_UNKNOWN_OBJECT, TAO_GIOP_OBJECT_HERE, TAO_GIOP_OBJECT_FORWARD, TAO_GIOP_OBJECT_FORWARD_PERM, TAO_GIOP_LOC_SYSTEM_EXCEPTION, TAO_GIOP_LOC_NEEDS_ADDRESSING_MODE }
enum | GIOP_ReplyStatusType { TAO_GIOP_NO_EXCEPTION, TAO_GIOP_USER_EXCEPTION, TAO_GIOP_SYSTEM_EXCEPTION, TAO_GIOP_LOCATION_FORWARD, TAO_GIOP_LOCATION_FORWARD_PERM, TAO_GIOP_NEEDS_ADDRESSING_MODE }

## Detailed Description

Id
  GIOP_Utils.h,v 1.24 2005/11/24 11:05:45 ossama Exp

GIOP utility definitions

Author:
  Chris Cleeland <cleeland@cs.wustl.edu>

  Carlos O' Ryan <coryan@uci.edu>

## Typedef Documentation

typedef enum GIOP_LocateStatusType TAO_GIOP_Locate_Status_Type

typedef enum GIOP_Messages TAO_GIOP_Message_Type

| All GIOP messages include a header and message type. Not really a message type, but needed to bring that information back somehow.

typedef enum GIOP_ReplyStatusType TAO_GIOP_Reply_Status_Type

## Enumeration Type Documentation

enum GIOP_LocateStatusType

Enumeration values:

  TAO_GIOP_UNKNOWN_OBJECT |
  TAO_GIOP_OBJECT_HERE |
  TAO_GIOP_OBJECT_FORWARD |
  TAO_GIOP_OBJECT_FORWARD_PERM |
  TAO_GIOP_LOC_SYSTEM_EXCEPTION |
  TAO_GIOP_LOC_NEEDS_ADDRESSING_MODE |

enum GIOP_Messages

All GIOP messages include a header and message type. Not really a message type, but needed to bring that information back somehow.

Enumeration values:

  TAO_GIOP_REQUEST |
  TAO_GIOP_REPLY |
  TAO_GIOP_CANCELREQUEST |
  TAO_GIOP_LOCATEREQUEST |
  TAO_GIOP_LOCATEREPLY |
  TAO_GIOP_CLOSECONNECTION |
  TAO_GIOP_MESSAGERROR |
  TAO_GIOP_FRAGMENT |

enum GIOP_ReplyStatusType

Enumeration values:

  TAO_GIOP_NO_EXCEPTION | Request completed successfully.
  TAO_GIOP_USER_EXCEPTION | Request terminated with user exception.
  TAO_GIOP_SYSTEM_EXCEPTION | Request terminated with system exception.
  TAO_GIOP_LOCATION_FORWARD | Reply is a location forward type.
  TAO_GIOP_LOCATION_FORWARD_PERM | GIOP 1.2, Reply is a location forward perm type..
  TAO_GIOP_NEEDS_ADDRESSING_MODE | GIOP1.2,.